# $Revision: 1.17 $, $Date: 2009/10/02 08:27:29 $
Summary:	X.org video driver for ARK Logic video adapters
Summary(pl.UTF-8):	Sterownik obrazu X.org do kart graficznych ARK Logic
Name:		xorg-driver-video-ark
Version:	0.7.2
Release:	2
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-ark-%{version}.tar.bz2
# Source0-md5:	4745f5c722b030962cc56eb2443894a0
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-util-util-macros >= 0.99.2
BuildRequires:	xorg-xserver-server-devel >= 1.0.99.901
BuildRequires:  rpmbuild(macros) >= 1.389
%requires_xorg_xserver_videodrv
Requires:	xorg-xserver-server >= 1.0.99.901
Obsoletes:	X11-driver-ark < 1:7.0.0
Obsoletes:	XFree86-driver-ark < 1:7.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for video adapters based on ARK Logic chipset.

%description -l pl.UTF-8
Sterownik obrazu X.org do kart graficznych opartych na układzie ARK
Logic.

%prep
%setup -q -n xf86-video-ark-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/ark_drv.so
#%{_mandir}/man4/ark.4*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-driver-video-ark.spec,v $
Revision 1.17  2009/10/02 08:27:29  arekm
- release 2

Revision 1.16  2009/09/20 06:05:43  arekm
- up to 0.7.2

Revision 1.15  2009/02/25 21:32:45  arekm
- up to 0.7.1

Revision 1.14  2009/02/25 21:04:23  arekm
- release 4

Revision 1.13  2008/08/30 16:32:59  arekm
- release 3

Revision 1.12  2008/07/01 16:06:36  arekm
- release 2

Revision 1.11  2008-03-19 18:33:13  arekm
- up to 0.7.0

Revision 1.10  2007/09/06 19:45:55  arekm
- rebuilding for new xserver

Revision 1.9  2007/09/06 16:22:52  arekm
- track xserver videodrv deps

Revision 1.8  2007/04/30 20:05:12  qboosh
- Obsoletes for XFree86/X11 drivers

Revision 1.7  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.5  2006/04/11 08:48:56  qboosh
- updated to 0.6.0

Revision 1.4  2006/01/06 13:49:46  qboosh
- 0.5.0.5 (X11R7.0 release)

Revision 1.3  2005/12/07 13:35:38  qboosh
- 0.5.0.3 (X11R7.0-RC3)

Revision 1.2  2005/11/20 13:46:35  qboosh
- 0.5.0.2 (X11R7.0-RC2)

Revision 1.1  2005/10/29 15:31:59  qboosh
- new
